# attributes Struct Reference

`#include <cgmstruc.h>`

## Data Fields

Index | line_ind
Index | mark_ind
Index | text_ind
Index | fill_ind
Index | edge_ind
Index | line_type
Index | mark_type
Index | text_font
Index | edge_type
vdc line_width mark_size | edge_width
colour line marker text fill | edge
Enum | text_prec
Enum | text_path
Enum | text_halign
Enum | text_valign
Enum | edge_vis
float | text_hcont
float | text_vcont
Index | char_set
Index | altchar_set
float | char_exp
float | char_space
point char_up | char_base
vdc | char_height
Enum | int_style
Index | hatch_ind
Index | pat_ind
point | fill_ref
rect | pat_size
Enum | asf [ASFS]
Logical | linewidth_flag
Logical | markersize_flag
Logical | edgewidth_flag
Logical | charheight_flag
Logical | cliprect_flag
vdc line_width mark_size | edge_width
colour line marker text fill | edge
point char_up | char_base
vdc | char_height
point | fill_ref
rect | pat_size

## Field Documentation

Index attributes::altchar_set

Enum attributes::asf

struct point char_up attributes::char_base

struct point char_up attributes::char_base

float attributes::char_exp

struct vdc attributes::char_height

struct vdc attributes::char_height

Index attributes::char_set

float attributes::char_space

Logical attributes::charheight_flag

Logical attributes::cliprect_flag

struct colour line marker text fill attributes::edge

struct colour line marker text fill attributes::edge

Index attributes::edge_ind

Index attributes::edge_type

Enum attributes::edge_vis

struct vdc line_width mark_size attributes::edge_width

struct vdc line_width mark_size attributes::edge_width

Logical attributes::edgewidth_flag

Index attributes::fill_ind

struct point attributes::fill_ref

struct point attributes::fill_ref

Index attributes::hatch_ind

Enum attributes::int_style

Index attributes::line_ind

Index attributes::line_type

Logical attributes::linewidth_flag

Index attributes::mark_ind

Index attributes::mark_type

Logical attributes::markersize_flag

Index attributes::pat_ind

struct rect attributes::pat_size

struct rect attributes::pat_size

Index attributes::text_font

Enum attributes::text_halign

float attributes::text_hcont

Index attributes::text_ind

Enum attributes::text_path

Enum attributes::text_prec

Enum attributes::text_valign

float attributes::text_vcont

The documentation for this struct was generated from the following files:

- cgmlib.hxx
- cgmstruc.h